<?php
/**
* @version $Id: atomsms-dostep.php 2009-01-12
* @package Joomla
* @copyright Copyright (C) Atom.SMS http://www.atomsms.pl/
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );
$mainframe->registerEvent('onPrepareContent', 'plgContentAtomSmsDostep');

/**
* Mambot platnosci SMS za dostep do tresci
*/
function plgContentAtomSmsDostep( &$row, &$params, $page=0 ) {
	if(($pos = strpos($row->text, '{sms-dostep')) === false)
		return true;
	
	$group = 1;
	$zone = 'strefa1';
	$err = '';
	if($pos2 = strpos($row->text, '}', $pos+11)) {
		$acc = substr($row->text, $pos+11, $pos2-$pos-11);
		$accpars = explode(' ', strtolower($acc));
		foreach($accpars as $accpar) {
			if(!strlen($accpar)) continue;
			switch($accpar[0]) {
				case 'g':
					if(strlen($accpar) == 2
					&& in_array($accpar[1], array('1','2','3')))
						$group = (int)$accpar[1];
					else
						$err .= "Nieprawidlowa grupa cenowa {sms-dostep}<br />\n";
					break;
				case 's':
					$zone = substr($accpar, 1);
					break;
			}
		}
	}
	else
		$err = "Nieprawidlowy kwalifikator {sms-dostep}<br />\n";
		
	// load atomsms-dostep info
	$plugin = & JPluginHelper::getPlugin('content', 'atomsms-dostep');
 	$params = new JParameter( $plugin->params );

	$GLOBALS['sms_dostep_prefix'] = $params->get('sms_dostep_prefix', 'MPLX3');
	$GLOBALS['sms_dostep_klucz'] = $params->get('sms_dostep_klucz', '5fe8313c8c77419389e2332c87dd1eda');
	$GLOBALS['sms_dostep_test'] = (int) $params->get('sms_dostep_test', 1);
	$GLOBALS['sms_dostep_kodowanie'] = $params->get('sms_dostep_kodowanie', 'iso');
	switch($params->get('sms_dostep_strefy', '1')) { // definicja stref
		case 'S': $zone = "S{$row->sectionid}"; break;
		case 'C': $zone = "C{$row->catid}"; break;
		case 'A': $zone = "A{$row->id}"; break;
	}
	require_once( JPATH_SITE . '/plugins/content/atomsms/sms-dostep-j15.php' );

	$times = array(1=>'M60', 2=>'H24', 3=>'D7');
	$tars = array(1=>1, 2=>5, 3=>9);
	$paid = false;
	$strefa = "G{$group}_S{$zone}";
	for($n = 1; $n <= 3; $n++) {
		$time = $params->get("sms_dostep_czas_{$group}{$n}", $times[$n]);
		if($time == '0') continue;
		$tar = $params->get("sms_dostep_taryfa_{$group}{$n}", $tars[$n]);
		if($paid = sms_dostep($tar, $time[0], (int)substr($time,1), $strefa, true)) break;
	}
	if($paid) { // oplacone
		$row->text = preg_replace('/\{sms-dostep[^}]*\}/', '', $row->text);
	}
	else { // nie oplacone
		$row->text = sms_dostep_pokaz($strefa, $row->title);
	}

	if($err) $row->text = $err . $row->text;
	return true;
}
?>